# ParadisEO-PEOMovingObjects: peoSynchronousMultiStart< EntityType >::Algorithm< AlgorithmType > Struct Template Reference

# peoSynchronousMultiStart< EntityType >::Algorithm< AlgorithmType > Struct Template Reference

Inheritance diagram for peoSynchronousMultiStart< EntityType >::Algorithm< AlgorithmType >:

List of all members.

## Public Member Functions

| Algorithm (AlgorithmType &externalAlgorithm)
void | operator() (AbstractDataType &dataTypeInstance)

## Public Attributes

AlgorithmType & | algorithm

## Detailed Description

### template<typename EntityType>
template<typename AlgorithmType>
struct peoSynchronousMultiStart< EntityType >::Algorithm< AlgorithmType >

Definition at line 146 of file peoSynchronousMultiStart.h.

The documentation for this struct was generated from the following file:

- peoSynchronousMultiStart.h